Subject: Re: Problems with 'bash'
From: [email-masked] (Earnie Boyd)

3 Dec 1997 04:11:45 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Hi Henri,

I wanted to give you the URL for the coolview updates. It is 
http://www.lexa.ru/sos; this sight is managed by Sergey Okhapkin.

As for your problem; I suspect the build of perl that you have.  You 
might want to check the mail archives at 
http://www.cygnus.com/ml/gnu-win32

Goodluck,

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

PS: Hope you don't mind that I also posted this to the list.

>Date: Tue, 2 Dec 1997 13:43:42 +0100
>From: [email-masked] (Periat Henri)
>To: [email-masked]
>Subject: Re: Problems with 'bash'
>
>Hi Earnie
>
>> >> >
>> >> >1. Why does   perl -e 'print "Hello world\n";' doesn't work ?
>> >> >   I't works fine on in my 'bash' on my UNIX system.
>> >> >   I also know that a workaround exists with 'qq', thanks to 
Perl, 
>> but
>> >> >   this is just a simple example. It seems that 'bash' hates '"'.
>> >> >   
>> 
>> I just tried the perl example you gave using virgin b18 and the perl 
>> package I downloaded from the gnu mirrors and built with the 
gnu-win32 
>> gcc package and it worked just fine.
>
>I use the binary package of b18 and the Perl binary package
>perl5.00402-bindist04-bc. The error message i get is very strange:
>Can't locate method "hello" via package "world" at -e line 1.
>
>But it works fine from DOS command line.
>
>> 
>> I don't recall that perl comes with the cdk.exe package.
>> 
>> >> >
>> >> >2. The 'make' can't handle DOS paths like 'C:/foo' in 'VPATH'
>> >> >   In the FAQ i found the workaround for this problem: '//C/foo'.
>> >> >   But programs i call from the Makefile can't deal with such 
paths.
>> >> >   Who can i make things like this working:
>> >> >   
>> >> >   %.o: %.c
>> >> >   	program $<
>> >> >   	
>> 
>> Are your directory mounts in text=binary mode?  Do you have the 
coolview 
>> updates from Sergey?  Are you sure that the make you are executing is 
>> the one from gnu-win32?  To find out which program is being executed 
>> from bash do "type -all make".
>
>- Perl and all the gnu tools reside in 'C:/usr' and this directory is 
mounted
>  with 'mount -b C:/usr /usr'.
>
>- No i don't have any updates. What are these for and where do i get 
them ?
>
>- Yes i'm sure. 'make -v' shows version 3.75, but mention nothing about
>  cygnus.
>  
>- 'bash%type -all make' tells me, that it found make in /usr/local/bin.
>  Where i expect it.
>  
>- Maybe i was not precise enough what kind o programs i meant: no gnu 
programs,
>  like a cross compiler from CAD-UL
>  
>
>Thanks a lot for your help so far
>Henri
>
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".